---
title: Deliverability API | SendHQ Docs
description: Inspect events, reputation outcomes, and blocked recipients.
canonical: https://sendhq.cc/docs/api-reference/deliverability
last-updated: 2026-09-07
---
# Deliverability

Inspect events, reputation outcomes, and blocked recipients.

GET `/deliverability/stats`

API key

## Retrieve 30-day delivery statistics

Retrieve 30-day delivery statistics

```shell
curl https://sendhq.cc/api/v1/deliverability/stats \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
```

```json
{
  "window": "30d",
  "sent": 0,
  "delivery": 0,
  "bounce": 0,
  "complaint": 0,
  "deliveryRate": null
}
```

GET `/deliverability/reputation`

API key

## List reputation state by exact sender identity

List reputation state by exact sender identity

```shell
curl https://sendhq.cc/api/v1/deliverability/reputation \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
```

```json
{
  "data": [
    {
      "sender": "alerts@example.com",
      "status": "active",
      "dailyLimit": 2000,
      "reason": null,
      "cleanSince": "2026-09-01T00:00:00.000Z",
      "warnedAt": null,
      "pausedAt": null,
      "evaluatedAt": "2026-09-07T00:00:00.000Z"
    }
  ],
  "count": 1
}
```

GET `/suppressions`

API key

## List workspace suppressions

List workspace suppressions

**Query parameters** `limit` `offset`

```shell
curl https://sendhq.cc/api/v1/suppressions \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
```

```json
{
  "data": [],
  "count": 0
}
```

DELETE `/suppressions/:email`

API key

## Remove an eligible bounce suppression

Remove an eligible bounce suppression

```shell
curl https://sendhq.cc/api/v1/suppressions/email_value \
  -X DELETE \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
```

```json
{
  "ok": true
}
```

GET `/blocked-recipients`

API key

## List bounces, complaints, and unsubscribes

List bounces, complaints, and unsubscribes

**Query parameters** `limit`

```shell
curl https://sendhq.cc/api/v1/blocked-recipients \
  -X GET \
  -H "Authorization: Bearer $SENDHQ_API_KEY"
```

```json
{
  "data": [],
  "count": 0,
  "summary": {
    "total": 0,
    "unsubscribe": 0,
    "bounce": 0,
    "complaint": 0
  }
}
```
